Subject: Re: bug#72990: Core packages updated broke Guix

From: Ludovic Courtès <[email-masked]>
Date: Wed, 04 Sep 2024 14:02:21 +0200

Edison Ibáñez <[email-masked]> skribis:

> El 2024-09-03 06:57, Ludovic Courtès escribió:
>> Hi Edison,
>> 
>> Edison Ibáñez <[email-masked]> skribis:
>> 
>>> With the last update of core packages they broke guix and it can no
>>> longer be used, every time I run it I get the following error:
>>>
>>> /gnu/store/s4pajb5dkar0ig5z572nxkp04sizhp7q-guile-wrapper/bin/guile:
>>> /home/arkhan/.guix-profile/lib/libcrypt.so.1: version `XCRYPT_2.0' not
>>> found (required by
>>> /gnu/store/mfkz7fvlfpv3ppwbkv0imb19nrf95akf-guile-3.0.9/lib/libguile-3.0.so.1)
>> 
>> Could it be that the ‘LD_LIBRARY_PATH’ environment variable is set?
>> 
>> What happens if you do:
>> 
>>   unset LD_LIBRARY_PATH; guix build hello
>> 
>> ?
>> 
>> Ludo’.
>
> Currently this is the value I have in this environment variable:

OK, and what happens if you do:

   unset LD_LIBRARY_PATH; guix build hello

? Does it work?

In general, I strongly recommend keeping ‘LD_LIBRARY_PATH’ unset;
setting it is like opening a can of worms.

Ludo’.